Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01479 Gameplay Minor Always Mar 11, 2008, 00:31 Mar 13, 2008, 18:48
Tester user157 View Status Public Platform
Assigned To Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver pgm.cpp
Version 0.123 Fixed in Version 0.123u1 Build
Fixed in Git Commit Github Pull Request #
Summary 01479: martmast: Chain combo system broken
Description Martial Masters has an official chain combo system that allows the player to link special moves together. The chain combos works perfectly in Nebula, though they are impossible to reproduce in any version of Mame. I have since tried the chain combos with an actual PGM machine, and it is clear that the Mame version is broken in this respect. I have uploaded an image that shows how the chain combos work within the game.

Without the chain combo system, Martial Masters cannot be played in the manner that the developers intended.
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems martmast
Attached Files
jpg file icon combo.jpg (6,706 bytes) Mar 11, 2008, 00:31
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.00092
Fujix
Administrator
Mar 11, 2008, 13:38
edited on: May 17, 2009, 19:51
Please read this page: http://mametesters.org/legend.html for Severity.
User avatar
No.00094
Fujix
Administrator
Mar 11, 2008, 13:54
It is hardly a bug. Input is registered correctly.
User avatar
No.00110
Tafoid
Administrator
Mar 13, 2008, 18:48
This bug was discussed here: http://www.bannister.org/forums/ubbthreads.php?ubb=showflat&Number=39151

Turned out that the tested version he reported with was 0.123 (not 0.123u3 which he believed he was downloading). The bug exists in 0.123 and was first discovered on his version of MAME OSX. Changes in ARM7 cpu core in 0.123u1 seemed to have fixed this missing behavior - so as of that release, the moves should be able to be executed.

When Fujix tested and it worked for him, he dismissed the bug which was correct - but I wanted to make sure the background and reason for bug was documented.